################################
# Global setup for all reports #
################################

# Settings defined here can be overridden in `setup.R` of each report

#Remove messages from readr on column type guessing
options(readr.show_col_types = FALSE)

knitr::opts_chunk$set(
    collapse = TRUE,
    comment = "#>",
    fig.width = 6,        # Graphic settings from https://r4ds.had.co.nz/graphics-for-communication.html?q=fig.asp#figure-sizing
    fig.asp = 0.618,
    out.width = "70%",
    fig.align = "center",
    echo = FALSE,
    warning = FALSE,
    message = FALSE,
    cache = TRUE,
    cache.lazy = FALSE, # https://stackoverflow.com/questions/39417003/long-vectors-not-supported-yet-error-in-rmd-but-not-in-r-script,
    always_allow_html = TRUE
)

if (Sys.getenv("CACHE_CI") != "") {
    knitr::opts_chunk$set(
        cache.path = file.path(Sys.getenv("CACHE_CI"),
                               dirname(getwd()),
                               knitr::opts_chunk$get("cache.path"))
    )
}
